> ## Documentation Index
> Fetch the complete documentation index at: https://docs.okeyproxy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get plan information

> Query information for a specific plan under the agent.



## OpenAPI

````yaml GET /api/v2/plan/info
openapi: 3.0.1
info:
  title: okey
  description: ''
  version: 1.0.0
servers:
  - url: https://api.okeyproxy.com/ipglobal-api
security: []
tags: []
paths:
  /api/v2/plan/info:
    get:
      tags: []
      summary: Get plan information
      description: Query information for a specific plan under the agent.
      parameters:
        - name: planId
          in: query
          description: Plan ID
          required: true
          schema:
            type: string
        - name: apiKey
          in: query
          description: Agent API key used for authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  planId:
                    type: string
                    description: Plan ID
                  proxyType:
                    type: integer
                    title: ''
                    description: >-
                      Rotating proxies type. 1 for Starter, 2 for Advanced, 3
                      for Premium.
                  traffic:
                    type: number
                    title: ''
                    description: Plan traffic (in GB)
                  availableTraffic:
                    type: number
                    description: Remaining traffic (in GB)
                  effectTime:
                    type: string
                    title: ''
                    description: 'Effective time. Format: yyyy-MM-dd HH:mm:ss (UTC+8)'
                  expireTime:
                    type: string
                    title: ''
                    description: 'Expiration time. Format: yyyy-MM-dd HH:mm:ss (UTC+8)'
                  secUsername:
                    type: string
                    description: Sec-user account
                  status:
                    type: integer
                    title: ''
                    description: >-
                      Plan status. 1 for enabled, 2 for disabled, 3 for
                      exhausted, 4 for expired
                required:
                  - planId
                  - proxyType
                  - traffic
                  - availableTraffic
                  - effectTime
                  - expireTime
                  - secUsername
                  - status
              example:
                planId: '20250101114300769'
                proxyType: 2
                traffic: 1
                availableTraffic: 0
                effectTime: '2025-01-01 11:43:00'
                expireTime: '2025-01-01 11:43:00'
                secUsername: xts1j09z
                status: 1
          headers: {}
      deprecated: false
      security: []

````